variable "name" {
  type        = string
  description = "The name of the Swarm project."
}

variable "env" {
  type        = string
  description = "Deployment environment."
}

variable "domain" {
  type        = string
  default     = ""
  description = "Domain name for the project."
}

variable "jz_swarm_generic" {
  type        = object({
    kms_key      = object({
      id = string
    })
    ssh_key_pair = object({
      key_name           = string
      public_key_path    = string
      private_key_path   = string
      public_key_openssh = string
      private_key_pem    = string
    })
  })
  description = "A reference to jz_swarm_generic module."
}

variable "jz_swarm_project" {
  type        = object({
    ips          = object({
      leader   = string
      managers = set(string)
      workers  = set(string)
    })
    instance_ids = object({
      leader   = string
      managers = set(string)
      workers  = set(string)
    })
    efs          = object({
      reg   = object({
        id = string
      })
      maxio = object({
        id = string
      })
    })
  })
  description = "A reference to jz_swarm_project module."
}
